package com.franckbarbier.vegetables;

public class Garden<Element extends Vegetable> {

    private java.util.Deque<Element> _vegetables = new java.util.ArrayDeque<>();

    public boolean is_bigger_than_V1(Garden<Element> garden) {
        return this._vegetables.size() > garden._vegetables.size();
    }

    public boolean is_bigger_than_V2(Garden<?> garden) {
        return this._vegetables.size() > garden._vegetables.size();
    }

    public void transfer_V1(Garden<Element> to) {
        while (!this._vegetables.isEmpty()) {
            to._vegetables.add(this._vegetables.remove());
        }
    }

    public void transfer_V2(Garden<? super Element> to) {
        while (!this._vegetables.isEmpty()) {
            to._vegetables.add(this._vegetables.remove());
        }
    }
}
