package com.franckbarbier.vegetables;

abstract public class Vegetable {

    public enum Color {
        Green, Orange, Red // Etc.
    }

    abstract public Color getColor();

    class Salad extends Vegetable {

        @Override
        public Color getColor() {
            return Vegetable.Color.Green;
        }
    }

    class Batavia extends Salad {
    }

    class Lettuce extends Salad {
    }
}
